Runtime

## org.eclipse.gmf.runtime.diagram.ui.requests
Class CreateViewAndElementRequest

    java.lang.Object
      org.eclipse.gef.Request
          org.eclipse.gef.requests.CreateRequest
              org.eclipse.gmf.runtime.diagram.ui.requests.CreateViewRequest
                  org.eclipse.gmf.runtime.diagram.ui.requests.CreateViewAndElementRequest

All Implemented Interfaces:
  DropRequest

public class CreateViewAndElementRequest
extends CreateViewRequest

A request to create an element and its view

Nested Class Summary
`static class` `CreateViewAndElementRequest.ViewAndElementDescriptor` An extended view descriptor that takes an `ElementDescriptor` instead of `IAdaptable` as the element adapter

Nested classes inherited from class org.eclipse.gmf.runtime.diagram.ui.requests.CreateViewRequest
`CreateViewRequest.ViewDescriptor`

Constructor Summary
`CreateViewAndElementRequest(CreateViewAndElementRequest.ViewAndElementDescriptor viewAndElementDescriptor)` Constructor for CreateViewAndElementRequest.
`CreateViewAndElementRequest(IElementType type, EObject context, PreferencesHint preferencesHint)` Constructor for CreateViewAndElementRequest.
`CreateViewAndElementRequest(IElementType type, PreferencesHint preferencesHint)` Constructor for CreateViewAndElementRequest.

Method Summary
`CreateViewAndElementRequest.ViewAndElementDescriptor` `getViewAndElementDescriptor()` Method getViewAndElementDescriptor.
`void` `setExtendedData(java.util.Map map)` Propagates setting the parameters to the `CreateElementRequest` in my `CreateViewAndElementRequest.getViewAndElementDescriptor()`.

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.requests.CreateViewRequest
`getFactory, getNewObject, getNewObjectType, getViewDescriptors, setFactory`

Methods inherited from class org.eclipse.gef.requests.CreateRequest
`getLocation, getSize, setLocation, setSize`

Methods inherited from class org.eclipse.gef.Request
`getExtendedData, getType, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateViewAndElementRequest

    public CreateViewAndElementRequest(CreateViewAndElementRequest.ViewAndElementDescriptor viewAndElementDescriptor)

  Constructor for CreateViewAndElementRequest.

Parameters:
  `viewAndElementDescriptor` -

### CreateViewAndElementRequest

    public CreateViewAndElementRequest(IElementType type,
                                       PreferencesHint preferencesHint)

  Constructor for CreateViewAndElementRequest.

Parameters:
  `type` -
  `preferencesHint` - The preference hint that is to be used to find the appropriate preference store from which to retrieve diagram preference values. The preference hint is mapped to a preference store in the preference registry <@link DiagramPreferencesRegistry>.

### CreateViewAndElementRequest

    public CreateViewAndElementRequest(IElementType type,
                                       EObject context,
                                       PreferencesHint preferencesHint)

  Constructor for CreateViewAndElementRequest.

Parameters:
  `type` -
  `context` -
  `preferencesHint` - The preference hint that is to be used to find the appropriate preference store from which to retrieve diagram preference values. The preference hint is mapped to a preference store in the preference registry <@link DiagramPreferencesRegistry>.

Method Detail

### getViewAndElementDescriptor

    public CreateViewAndElementRequest.ViewAndElementDescriptor getViewAndElementDescriptor()

  Method getViewAndElementDescriptor.

  Returns:
    ViewAndElementDescriptor

### setExtendedData

    public void setExtendedData(java.util.Map map)

  Propagates setting the parameters to the `CreateElementRequest` in my `CreateViewAndElementRequest.getViewAndElementDescriptor()`.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.